Page MenuHomePhabricator

Institute a weekly review of all UBN! tasks
Closed, ResolvedPublic

Description

This task was an outcome of the https://wikitech.wikimedia.org/wiki/Incident_documentation/20160712-EchoCentralAuth incident

Retro notes: https://wikitech.wikimedia.org/wiki/Incident_documentation/20160712-EchoCentralAuth/Retrospective

One suggestion was for me (@greg) to do a weekly review of all UBN! tasks in hopes that I can identify 'true' UBN! issues and correctly action (sic) on them quickly. To that end I have scheduled a 30 minute block in my calendar at 10:30am Pacific (17:30 UTC, during this current daylight savings period).

See also:

Event Timeline

greg created this task.Jul 22 2016, 5:36 PM
Restricted Application added a project: User-greg. · View Herald TranscriptJul 22 2016, 5:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
greg added a comment.EditedJul 25 2016, 6:57 PM

I didn't do this at the time I said I would but for today:

18:39 <+   greg-g> ok, looking at the UBN!s now: https://phabricator.wikimedia.org/maniphest/query/RL5AY7Erj31i/
18:39 <+   greg-g> this seems legit: https://phabricator.wikimedia.org/T138725
...Greg does a lot of task commenting because of yak-shaving, luckily it seems fruitful...
18:50 <+   greg-g> back to UBN! reviewing...
18:53 <+   greg-g> that one I said looks legit I just commented on asking for status etc
18:54 <+   greg-g> the rest in the query are either known/working on (https://phabricator.wikimedia.org/T138673) or Fundraising (I'm not
                   going to mess with them), iOS (also not going to mess with) or pywikibot (also not going to mess with)
18:54              greg-g ends review
greg updated the task description. (Show Details)Jul 25 2016, 7:00 PM
greg moved this task from Backlog to In Progress on the User-greg board.Jul 25 2016, 7:34 PM
greg added a comment.Aug 1 2016, 7:07 PM
18:34 <+   greg-g> For the record, there are only 4 UBN! tasks right now: 2 related to Fundraising (they use UBN! for their stuff in a 
                   way that doesn't mean "block the world!"), 1 in VE (ditto), and 1 in pywikibot (ditto).
greg moved this task from On-going to Follow-up on the Wikimedia-Incident board.

I appreciate this as I considered this my work so far. :P (I tried more like every other week, plus only pinging / nagging on the tasks themselves.) Happy to help.

greg added a comment.Aug 2 2016, 4:46 PM

I appreciate this as I considered this my work so far. :P (I tried more like every other week, plus only pinging / nagging on the tasks themselves.) Happy to help.

Should we re-instate a recurring weekly meeting for this? Something public (which IRC channel?) with a corresponding Phab Event is my guess.

Should we re-instate a recurring weekly meeting for this? Something public (which IRC channel?) with a corresponding Phab Event is my guess.

Hmm, I don't think it's really needed to have a formalized meeting.
We elaborate anyway in each UBN task, I am happy that more people care / feel responsible, and I am happy if it is not only me nagging / explaining priorities.
Thanks for the help! :)

greg closed this task as Resolved.Aug 8 2016, 8:33 PM

Should we re-instate a recurring weekly meeting for this? Something public (which IRC channel?) with a corresponding Phab Event is my guess.

Hmm, I don't think it's really needed to have a formalized meeting.
We elaborate anyway in each UBN task, I am happy that more people care / feel responsible, and I am happy if it is not only me nagging / explaining priorities.
Thanks for the help! :)

Fair.

For now, there is a recurring meeting on my calendar (Monday's at 10:30am Pacific time). I'll continue to do it (and I also do it throughout the week as well, sporadically; I've added a query for all UBN! to show on my phabricator homepage). If something needs to change we can file a new task about that.

Resolving this specific follow up from the relevant incident report.

greg moved this task from In Progress to Done on the User-greg board.Aug 8 2016, 8:33 PM